MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000004Championship Manager[All Projects] Generalpublic2015-11-14 11:462017-04-11 16:36
Reporterjesus 
Assigned Tojesus 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[ZRound Suite] 1.15.08Fixed in Version[ZRound Suite] 1.15.09 
Summary0000004: Event scheduling
DescriptionAdd scheduler for planning and automatizing the race day.
Additional InformationThe event could include different races from different classes and it must allow customize the scheduling classes/rounds sort and times

Race duration will be used from the race settings (practice time + race time)
TagsNo tags attached.
Attached Filespng file icon schedule-mockup.png [^] (209,324 bytes) 2015-12-17 16:55


png file icon schedule-detail.png [^] (65,969 bytes) 2015-12-17 16:55

- Relationships

-  Notes
(0000012)
jesus (administrator)
2015-12-17 16:53
edited on: 2015-12-17 17:00

The main concern is ZRound Manager doesn’t create the runs until they start so I don’t have the records in the database defining all heats/rounds to facilitate the scheduling. I have included the code to create the runs for all Heats at the very first heat distribution without populate them with racers (it’s impossible as they are resorted after every qualify).

The idea is to implement a new concept called “event” . An “event” is a set of race starting on a date. You would be able to add races belonging to a championship (like our club session races) or single races like the PN World Cup classes.

Some settings must be configured to allow an automatic scheduling:
- Order: It will stablish how the races will be sort. I’m thinking on three fields to generate the sort:
o Round
o Group (Heat/Main)
o Race (class)

Examples for two rounds/two groups/two races:

       Sort round->race->group: Round 1/Stock/Heat A->Round 1/Mod/Heat A->Round 2/Stock/Head A->Round 2/Mod/Head A-> Round 1/Stock/Heat B->Round 1/Mod/Heat B->Round 2/Stock/Head B->Round 2/Mod/Head B
       Sort round->group->race: Round 1/Heat A/Stock->Round 1 /Heat B / Stock->Round 1/Heat A/Mod->Round 1/Heat B/Mod -> Round 2/Heat A/Stock->Round 2 /Heat B / Stock->Round 2/Heat A/Mod->Round 2/Heat B/Mod
       Sort race->round->group: Stock/Round 1/Heat A->Stock/Round 1/Heat B->Stock/Round2/Heat A->Stock /Round 2/Heat B->Mod /Round 1/Heat A->Mod/Round 1/Heat B->Mod/Round 2/Heat A->Mod/Round 2/Heat B.

I think the race->round->group sort should be the default option. The ascending/descending criteria could be also included (a->b->c->… or …->c->b->a)

- Time paused after runs. Time to wait until the next run once one has finished allowing racers access the driving place.
- Time paused after blocks. Extra time to wait until the next “block of races” begins. It will be based on the sort criteria. For example, if the sort is race->round->group then when all groups complete the first round this pause will be done.
- The run duration will be the heat/main duration + practice time defined into the race settings.

Once the scheduling has been sorted, you could manually change it moving slots up and down and start/end times will be re-computed.

There is already a mock-up (see attachs) for the user inteface I use for testing options with the sort (race->round->group).

Events can be more than a day long. It is done by editing the race (see schedule-details.png attachment) you want on the second day and changing the date. Then the next races are rescheduled.

The scheduling will have an html output. It could be used for publishing, printing or copied to excel.

I will include the option for starting the run from the scheduler and to automatize all the process although I don’t know if it is desirable as resorts must be done, printed and published. The same for the mains.

(0000071)
jesus (administrator)
2016-12-09 12:43

Implemented database layer class
Closed user interface v1
Races can be rearranged by drag&drop or by Ctrl Up-Down keys
Implemented search event for creating/reading/deleting events
(0000072)
jesus (administrator)
2016-12-18 08:22

Implemented scheduling options, print outs, resorts
Unit test OK
Documented on video tutorial: https://www.youtube.com/watch?v=OKSZgvc-B5Y [^]
(0000077)
jesus (administrator)
2017-04-11 16:36

No news, good news. Not full tested but ready to receive issues.
It's time to close the ticket

- Issue History
Date Modified Username Field Change
2015-11-14 11:46 jesus New Issue
2015-11-14 11:46 jesus Status new => assigned
2015-11-14 11:46 jesus Assigned To => jesus
2015-11-16 19:24 jesus Target Version => 1.14.05
2015-12-01 17:38 jesus Target Version 1.14.05 => 1.15.02
2015-12-17 16:53 jesus Note Added: 0000012
2015-12-17 16:55 jesus File Added: schedule-mockup.png
2015-12-17 16:55 jesus File Added: schedule-detail.png
2015-12-17 17:00 jesus Note Edited: 0000012 View Revisions
2016-02-14 13:40 jesus Note Added: 0000016
2016-02-14 13:43 jesus Note Added: 0000017
2016-05-19 17:37 jesus Target Version 1.15.02 => 1.15.03
2016-09-19 17:46 jesus Target Version 1.15.03 => 1.15.04
2016-10-10 17:21 jesus Target Version 1.15.04 => 1.15.05
2016-10-12 11:49 jesus Target Version 1.15.05 => 1.15.06
2016-10-27 15:51 jesus Target Version 1.15.06 =>
2016-11-12 11:14 jesus Target Version => 1.15.08
2016-12-09 12:43 jesus Note Added: 0000071
2016-12-09 12:43 jesus Note Deleted: 0000016
2016-12-09 12:43 jesus Note Deleted: 0000017
2016-12-18 08:22 jesus Note Added: 0000072
2017-02-15 16:25 jesus Status assigned => feedback
2017-04-11 16:36 jesus Note Added: 0000077
2017-04-11 16:36 jesus Status feedback => assigned
2017-04-11 16:36 jesus Status assigned => resolved
2017-04-11 16:36 jesus Fixed in Version => 1.15.09
2017-04-11 16:36 jesus Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker